import { html as n } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var u = Object.defineProperty, g = Object.getOwnPropertyDescriptor, l = (p, e, s, t) => {
  for (var r = t > 1 ? void 0 : t ? g(e, s) : e, i = p.length - 1, c; i >= 0; i--)
    (c = p[i]) && (r = (t ? c(e, s, r) : c(r)) || r);
  return t && r && u(e, s, r), r;
};
let o = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--arrowOutCircleLarge", this.class = "c-pieIcon c-pieIcon--arrowOutCircleLarge", this.name = "IconArrowOutCircleLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--arrowOutCircleLarge"><path d="M28.512 15.037a1.696 1.696 0 0 0-.227-.27l-5.04-5.04-1.234 1.233 4.165 4.165H9.875v1.75h16.301l-4.165 4.165 1.234 1.234 5.005-5.04a1.75 1.75 0 0 0 .262-2.196Z"></path><path d="M16 26.5a10.5 10.5 0 1 1 6.921-18.375h2.442a12.25 12.25 0 1 0 0 15.75H22.92A10.5 10.5 0 0 1 16 26.5Z"></path></svg>`;
  }
};
l([
  a({ type: String, reflect: !0 })
], o.prototype, "size", 2);
l([
  a({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = l([
  f("icon-arrow-out-circle-large")
], o);
export {
  o as IconArrowOutCircleLarge
};
